Tom Ferris has discovered a weakness in Firefox, which can be exploited by malicious people to cause a DoS (Denial of Service).

The weakness is caused due to an error in the handling of overly large
size attributes in the "Iframe" tag. This can be exploited to crash a
vulnerable browser via a specially crafted "Iframe" tag on a malicious
web site.

The weakness has been confirmed in version 1.0.7 on Fedora Core 4 (Linux). Other versions and platforms may also be affected.

Do not browse untrusted websites.
The weakness has been fixed in version 1.5 beta 2.
Use 1.5 beta 2 at your own risk!

Source: Secunia